Interface OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- OpenshiftDeploymentConfigsEndpointBuilderFactory
public static interface OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsHeaderNameBuilderopenshiftDeploymentconfigs()Openshift Deployment Configs (camel-kubernetes) Perform operations on Openshift Deployment Configs and get notified on Deployment Config changes.default OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsEndpointBuilderopenshiftDeploymentconfigs(String path)Openshift Deployment Configs (camel-kubernetes) Perform operations on Openshift Deployment Configs and get notified on Deployment Config changes.default OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsEndpointBuilderopenshiftDeploymentconfigs(String componentName, String path)Openshift Deployment Configs (camel-kubernetes) Perform operations on Openshift Deployment Configs and get notified on Deployment Config changes.
-
-
-
Method Detail
-
openshiftDeploymentconfigs
default OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsHeaderNameBuilder openshiftDeploymentconfigs()
Openshift Deployment Configs (camel-kubernetes) Perform operations on Openshift Deployment Configs and get notified on Deployment Config changes. Category: container,cloud,paas Since: 3.18 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
openshiftDeploymentconfigs
default OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsEndpointBuilder openshiftDeploymentconfigs(String path)
Openshift Deployment Configs (camel-kubernetes) Perform operations on Openshift Deployment Configs and get notified on Deployment Config changes. Category: container,cloud,paas Since: 3.18 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:openshift-deploymentconfigs:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
openshiftDeploymentconfigs
default OpenshiftDeploymentConfigsEndpointBuilderFactory.OpenshiftDeploymentConfigsEndpointBuilder openshiftDeploymentconfigs(String componentName, String path)
Openshift Deployment Configs (camel-kubernetes) Perform operations on Openshift Deployment Configs and get notified on Deployment Config changes. Category: container,cloud,paas Since: 3.18 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:openshift-deploymentconfigs:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-
-